WinPerf (JNA API)

com.sun.jna.platform.win32

## Interface WinPerf

-     public interface WinPerf

  Various performance counters structures and definitions
  Author:
    Lyor Goldstein
  See Also:
    Performance Counters Structures

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `WinPerf.PERF_DATA_BLOCK` Describes the performance data block that you queried
    `static class` | `WinPerf.PERF_INSTANCE_DEFINITION` Describes an instance of a performance object

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PERF_100NSEC_MULTI_TIMER`
    `static int` | `PERF_100NSEC_MULTI_TIMER_INV`
    `static int` | `PERF_100NSEC_TIMER`
    `static int` | `PERF_100NSEC_TIMER_INV`
    `static int` | `PERF_AVERAGE_BASE`
    `static int` | `PERF_AVERAGE_BULK`
    `static int` | `PERF_AVERAGE_TIMER`
    `static int` | `PERF_COUNTER_100NS_QUEUELEN_TYPE`
    `static int` | `PERF_COUNTER_BASE`
    `static int` | `PERF_COUNTER_BULK_COUNT`
    `static int` | `PERF_COUNTER_COUNTER`
    `static int` | `PERF_COUNTER_DELTA`
    `static int` | `PERF_COUNTER_ELAPSED`
    `static int` | `PERF_COUNTER_FRACTION`
    `static int` | `PERF_COUNTER_HISTOGRAM`
    `static int` | `PERF_COUNTER_HISTOGRAM_TYPE`
    `static int` | `PERF_COUNTER_LARGE_DELTA`
    `static int` | `PERF_COUNTER_LARGE_QUEUELEN_TYPE`
    `static int` | `PERF_COUNTER_LARGE_RAWCOUNT`
    `static int` | `PERF_COUNTER_LARGE_RAWCOUNT_HEX`
    `static int` | `PERF_COUNTER_MULTI_BASE`
    `static int` | `PERF_COUNTER_MULTI_TIMER`
    `static int` | `PERF_COUNTER_MULTI_TIMER_INV`
    `static int` | `PERF_COUNTER_NODATA`
    `static int` | `PERF_COUNTER_OBJ_TIME_QUEUELEN_TYPE`
    `static int` | `PERF_COUNTER_PRECISION`
    `static int` | `PERF_COUNTER_QUEUELEN`
    `static int` | `PERF_COUNTER_QUEUELEN_TYPE`
    `static int` | `PERF_COUNTER_RATE`
    `static int` | `PERF_COUNTER_RAWCOUNT`
    `static int` | `PERF_COUNTER_RAWCOUNT_HEX`
    `static int` | `PERF_COUNTER_TEXT`
    `static int` | `PERF_COUNTER_TIMER`
    `static int` | `PERF_COUNTER_TIMER_INV`
    `static int` | `PERF_COUNTER_VALUE`
    `static int` | `PERF_DELTA_BASE`
    `static int` | `PERF_DELTA_COUNTER`
    `static int` | `PERF_DETAIL_ADVANCED`
    `static int` | `PERF_DETAIL_EXPERT`
    `static int` | `PERF_DETAIL_NOVICE`
    `static int` | `PERF_DETAIL_WIZARD`
    `static int` | `PERF_DISPLAY_NO_SUFFIX`
    `static int` | `PERF_DISPLAY_NOSHOW`
    `static int` | `PERF_DISPLAY_PER_SEC`
    `static int` | `PERF_DISPLAY_PERCENT`
    `static int` | `PERF_DISPLAY_SECONDS`
    `static int` | `PERF_ELAPSED_TIME`
    `static int` | `PERF_INVERSE_COUNTER`
    `static int` | `PERF_LARGE_RAW_BASE`
    `static int` | `PERF_LARGE_RAW_FRACTION`
    `static int` | `PERF_MULTI_COUNTER`
    `static int` | `PERF_NO_INSTANCES`
    `static int` | `PERF_NO_UNIQUE_ID`
    `static int` | `PERF_NUMBER_DEC_1000`
    `static int` | `PERF_NUMBER_DECIMAL`
    `static int` | `PERF_NUMBER_HEX`
    `static int` | `PERF_OBJ_TIME_TIMER`
    `static int` | `PERF_OBJECT_TIMER`
    `static int` | `PERF_PRECISION_100NS_TIMER`
    `static int` | `PERF_PRECISION_OBJECT_TIMER`
    `static int` | `PERF_PRECISION_SYSTEM_TIMER`
    `static int` | `PERF_PRECISION_TIMESTAMP`
    `static int` | `PERF_QUERY_COSTLY`
    `static int` | `PERF_QUERY_GLOBAL`
    `static int` | `PERF_QUERY_OBJECTS`
    `static int` | `PERF_RAW_BASE`
    `static int` | `PERF_RAW_FRACTION`
    `static int` | `PERF_SAMPLE_BASE`
    `static int` | `PERF_SAMPLE_COUNTER`
    `static int` | `PERF_SAMPLE_FRACTION`
    `static int` | `PERF_SIZE_DWORD`
    `static int` | `PERF_SIZE_LARGE`
    `static int` | `PERF_SIZE_VARIABLE_LEN`
    `static int` | `PERF_SIZE_ZERO`
    `static int` | `PERF_TEXT_ASCII`
    `static int` | `PERF_TEXT_UNICODE`
    `static int` | `PERF_TIMER_100NS`
    `static int` | `PERF_TIMER_TICK`
    `static int` | `PERF_TYPE_COUNTER`
    `static int` | `PERF_TYPE_NUMBER`
    `static int` | `PERF_TYPE_TEXT`
    `static int` | `PERF_TYPE_ZERO`

- - ### Field Detail

    - #### PERF_NO_INSTANCES

          static final int PERF_NO_INSTANCES

      See Also:
        Constant Field Values

    - #### PERF_SIZE_DWORD

          static final int PERF_SIZE_DWORD

      See Also:
        Constant Field Values

    - #### PERF_SIZE_LARGE

          static final int PERF_SIZE_LARGE

      See Also:
        Constant Field Values

    - #### PERF_SIZE_ZERO

          static final int PERF_SIZE_ZERO

      See Also:
        Constant Field Values

    - #### PERF_SIZE_VARIABLE_LEN

          static final int PERF_SIZE_VARIABLE_LEN

      See Also:
        Constant Field Values

    - #### PERF_TYPE_NUMBER

          static final int PERF_TYPE_NUMBER

      See Also:
        Constant Field Values

    - #### PERF_TYPE_COUNTER

          static final int PERF_TYPE_COUNTER

      See Also:
        Constant Field Values

    - #### PERF_TYPE_TEXT

          static final int PERF_TYPE_TEXT

      See Also:
        Constant Field Values

    - #### PERF_TYPE_ZERO

          static final int PERF_TYPE_ZERO

      See Also:
        Constant Field Values

    - #### PERF_NUMBER_HEX

          static final int PERF_NUMBER_HEX

      See Also:
        Constant Field Values

    - #### PERF_NUMBER_DECIMAL

          static final int PERF_NUMBER_DECIMAL

      See Also:
        Constant Field Values

    - #### PERF_NUMBER_DEC_1000

          static final int PERF_NUMBER_DEC_1000

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_VALUE

          static final int PERF_COUNTER_VALUE

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_RATE

          static final int PERF_COUNTER_RATE

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_FRACTION

          static final int PERF_COUNTER_FRACTION

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_BASE

          static final int PERF_COUNTER_BASE

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_ELAPSED

          static final int PERF_COUNTER_ELAPSED

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_QUEUELEN

          static final int PERF_COUNTER_QUEUELEN

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_HISTOGRAM

          static final int PERF_COUNTER_HISTOGRAM

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_PRECISION

          static final int PERF_COUNTER_PRECISION

      See Also:
        Constant Field Values

    - #### PERF_TEXT_UNICODE

          static final int PERF_TEXT_UNICODE

      See Also:
        Constant Field Values

    - #### PERF_TEXT_ASCII

          static final int PERF_TEXT_ASCII

      See Also:
        Constant Field Values

    - #### PERF_TIMER_TICK

          static final int PERF_TIMER_TICK

      See Also:
        Constant Field Values

    - #### PERF_TIMER_100NS

          static final int PERF_TIMER_100NS

      See Also:
        Constant Field Values

    - #### PERF_OBJECT_TIMER

          static final int PERF_OBJECT_TIMER

      See Also:
        Constant Field Values

    - #### PERF_DELTA_COUNTER

          static final int PERF_DELTA_COUNTER

      See Also:
        Constant Field Values

    - #### PERF_DELTA_BASE

          static final int PERF_DELTA_BASE

      See Also:
        Constant Field Values

    - #### PERF_INVERSE_COUNTER

          static final int PERF_INVERSE_COUNTER

      See Also:
        Constant Field Values

    - #### PERF_MULTI_COUNTER

          static final int PERF_MULTI_COUNTER

      See Also:
        Constant Field Values

    - #### PERF_DISPLAY_NO_SUFFIX

          static final int PERF_DISPLAY_NO_SUFFIX

      See Also:
        Constant Field Values

    - #### PERF_DISPLAY_PER_SEC

          static final int PERF_DISPLAY_PER_SEC

      See Also:
        Constant Field Values

    - #### PERF_DISPLAY_PERCENT

          static final int PERF_DISPLAY_PERCENT

      See Also:
        Constant Field Values

    - #### PERF_DISPLAY_SECONDS

          static final int PERF_DISPLAY_SECONDS

      See Also:
        Constant Field Values

    - #### PERF_DISPLAY_NOSHOW

          static final int PERF_DISPLAY_NOSHOW

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_COUNTER

          static final int PERF_COUNTER_COUNTER

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_TIMER

          static final int PERF_COUNTER_TIMER

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_QUEUELEN_TYPE

          static final int PERF_COUNTER_QUEUELEN_TYPE

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_LARGE_QUEUELEN_TYPE

          static final int PERF_COUNTER_LARGE_QUEUELEN_TYPE

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_100NS_QUEUELEN_TYPE

          static final int PERF_COUNTER_100NS_QUEUELEN_TYPE

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_OBJ_TIME_QUEUELEN_TYPE

          static final int PERF_COUNTER_OBJ_TIME_QUEUELEN_TYPE

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_BULK_COUNT

          static final int PERF_COUNTER_BULK_COUNT

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_TEXT

          static final int PERF_COUNTER_TEXT

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_RAWCOUNT

          static final int PERF_COUNTER_RAWCOUNT

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_LARGE_RAWCOUNT

          static final int PERF_COUNTER_LARGE_RAWCOUNT

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_RAWCOUNT_HEX

          static final int PERF_COUNTER_RAWCOUNT_HEX

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_LARGE_RAWCOUNT_HEX

          static final int PERF_COUNTER_LARGE_RAWCOUNT_HEX

      See Also:
        Constant Field Values

    - #### PERF_SAMPLE_FRACTION

          static final int PERF_SAMPLE_FRACTION

      See Also:
        Constant Field Values

    - #### PERF_SAMPLE_COUNTER

          static final int PERF_SAMPLE_COUNTER

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_NODATA

          static final int PERF_COUNTER_NODATA

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_TIMER_INV

          static final int PERF_COUNTER_TIMER_INV

      See Also:
        Constant Field Values

    - #### PERF_SAMPLE_BASE

          static final int PERF_SAMPLE_BASE

      See Also:
        Constant Field Values

    - #### PERF_AVERAGE_TIMER

          static final int PERF_AVERAGE_TIMER

      See Also:
        Constant Field Values

    - #### PERF_AVERAGE_BASE

          static final int PERF_AVERAGE_BASE

      See Also:
        Constant Field Values

    - #### PERF_AVERAGE_BULK

          static final int PERF_AVERAGE_BULK

      See Also:
        Constant Field Values

    - #### PERF_OBJ_TIME_TIMER

          static final int PERF_OBJ_TIME_TIMER

      See Also:
        Constant Field Values

    - #### PERF_100NSEC_TIMER

          static final int PERF_100NSEC_TIMER

      See Also:
        Constant Field Values

    - #### PERF_100NSEC_TIMER_INV

          static final int PERF_100NSEC_TIMER_INV

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_MULTI_TIMER

          static final int PERF_COUNTER_MULTI_TIMER

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_MULTI_TIMER_INV

          static final int PERF_COUNTER_MULTI_TIMER_INV

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_MULTI_BASE

          static final int PERF_COUNTER_MULTI_BASE

      See Also:
        Constant Field Values

    - #### PERF_100NSEC_MULTI_TIMER

          static final int PERF_100NSEC_MULTI_TIMER

      See Also:
        Constant Field Values

    - #### PERF_100NSEC_MULTI_TIMER_INV

          static final int PERF_100NSEC_MULTI_TIMER_INV

      See Also:
        Constant Field Values

    - #### PERF_RAW_FRACTION

          static final int PERF_RAW_FRACTION

      See Also:
        Constant Field Values

    - #### PERF_LARGE_RAW_FRACTION

          static final int PERF_LARGE_RAW_FRACTION

      See Also:
        Constant Field Values

    - #### PERF_RAW_BASE

          static final int PERF_RAW_BASE

      See Also:
        Constant Field Values

    - #### PERF_LARGE_RAW_BASE

          static final int PERF_LARGE_RAW_BASE

      See Also:
        Constant Field Values

    - #### PERF_ELAPSED_TIME

          static final int PERF_ELAPSED_TIME

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_HISTOGRAM_TYPE

          static final int PERF_COUNTER_HISTOGRAM_TYPE

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_DELTA

          static final int PERF_COUNTER_DELTA

      See Also:
        Constant Field Values

    - #### PERF_COUNTER_LARGE_DELTA

          static final int PERF_COUNTER_LARGE_DELTA

      See Also:
        Constant Field Values

    - #### PERF_PRECISION_SYSTEM_TIMER

          static final int PERF_PRECISION_SYSTEM_TIMER

      See Also:
        Constant Field Values

    - #### PERF_PRECISION_100NS_TIMER

          static final int PERF_PRECISION_100NS_TIMER

      See Also:
        Constant Field Values

    - #### PERF_PRECISION_OBJECT_TIMER

          static final int PERF_PRECISION_OBJECT_TIMER

      See Also:
        Constant Field Values

    - #### PERF_PRECISION_TIMESTAMP

          static final int PERF_PRECISION_TIMESTAMP

      See Also:
        Constant Field Values

    - #### PERF_DETAIL_NOVICE

          static final int PERF_DETAIL_NOVICE

      See Also:
        Constant Field Values

    - #### PERF_DETAIL_ADVANCED

          static final int PERF_DETAIL_ADVANCED

      See Also:
        Constant Field Values

    - #### PERF_DETAIL_EXPERT

          static final int PERF_DETAIL_EXPERT

      See Also:
        Constant Field Values

    - #### PERF_DETAIL_WIZARD

          static final int PERF_DETAIL_WIZARD

      See Also:
        Constant Field Values

    - #### PERF_NO_UNIQUE_ID

          static final int PERF_NO_UNIQUE_ID

      See Also:
        Constant Field Values

    - #### PERF_QUERY_OBJECTS

          static final int PERF_QUERY_OBJECTS

      See Also:
        Constant Field Values

    - #### PERF_QUERY_GLOBAL

          static final int PERF_QUERY_GLOBAL

      See Also:
        Constant Field Values

    - #### PERF_QUERY_COSTLY

          static final int PERF_QUERY_COSTLY

      See Also:
        Constant Field Values

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.